Debian Bug report logs - #532689
DoS vulnerability in BigDecimal Ruby Library

version graph

Package: ruby1.8; Maintainer for ruby1.8 is akira yamada <akira@debian.org>; Source for ruby1.8 is src:ruby1.8.

Reported by: Johannes Barre <igel@igels.net>

Date: Wed, 10 Jun 2009 19:18:10 UTC

Severity: important

Tags: security

Found in version ruby1.8/1.8.7.72-3

Fixed in versions ruby1.8/1.8.7.173-1, ruby1.8/1.8.7.72-3lenny1

Done: akira yamada <akira@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#532689; Package ruby1.8. (Wed, 10 Jun 2009 19:18:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johannes Barre <igel@igels.net>:
New Bug report received and forwarded. Copy sent to akira yamada <akira@debian.org>. (Wed, 10 Jun 2009 19:18:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Barre <igel@igels.net>
To: submit@bugs.debian.org
Subject: DoS vulnerability in BigDecimal Ruby Library
Date: Wed, 10 Jun 2009 21:15:37 +0200
Package: ruby1.8
Version: 1.8.7.72-3
Severity: serious
Tags: BigDecimal ruby

This is a copy of the bug report at
https://bugs.launchpad.net/ubuntu/+source/ruby1.8/+bug/385436

A denial of service (DoS) vulnerability was found on the BigDecimal
standard library of Ruby. Conversion from BigDecimal objects into
Float numbers had a problem which enables attackers to effectively
cause segmentation faults.

Refer to the following URLs for complete information:

http://www.ruby-lang.org/en/news/2009/06/09/dos-vulnerability-in-bigdecimal/
http://weblog.rubyonrails.org/2009/6/10/dos-vulnerability-in-ruby

Affected 1.8 series
    * 1.8.6-p368 and all prior versions
    * 1.8.7-p160 and all prior versions

All 1.9.1 versions are not affected by this issue.




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#532689; Package ruby1.8. (Wed, 10 Jun 2009 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Leach <john@brightbox.co.uk>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 10 Jun 2009 19:33:05 GMT) Full text and rfc822 format available.

Message #10 received at 532689@bugs.debian.org (full text, mbox):

From: John Leach <john@brightbox.co.uk>
To: 532689@bugs.debian.org
Subject: upstream patch, fails to apply
Date: Wed, 10 Jun 2009 20:30:54 +0100
This upstream patch fixes this bug:

http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=23652

Unfortunately, hunk #14 fails to apply to Hardy's Ruby source. It looks
like the BigDecimal_to_f function has been rewritten since Hardy's
version of Ruby (1.8.6.111).








Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#532689; Package ruby1.8. (Sat, 13 Jun 2009 06:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daigo Moriwaki <daigo@debian.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sat, 13 Jun 2009 06:33:05 GMT) Full text and rfc822 format available.

Message #15 received at 532689@bugs.debian.org (full text, mbox):

From: Daigo Moriwaki <daigo@debian.org>
To: Johannes Barre <igel@igels.net>, 532689@bugs.debian.org
Subject: Re: Bug#532689: DoS vulnerability in BigDecimal Ruby Library
Date: Sat, 13 Jun 2009 15:30:23 +0900
Hi Johannes,

Thank you for the report.
I am preparing a new release 1.8.7.173.

Reminder:
CVE-2009-1904
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2009-1904

Regards,
Daigo

-- 
Daigo Moriwaki
daigo at debian dot org




Reply sent to Daigo Moriwaki <daigo@debian.org>:
You have taken responsibility. (Sat, 13 Jun 2009 16:21:40 GMT) Full text and rfc822 format available.

Notification sent to Johannes Barre <igel@igels.net>:
Bug acknowledged by developer. (Sat, 13 Jun 2009 16:21:40 GMT) Full text and rfc822 format available.

Message #20 received at 532689-close@bugs.debian.org (full text, mbox):

From: Daigo Moriwaki <daigo@debian.org>
To: 532689-close@bugs.debian.org
Subject: Bug#532689: fixed in ruby1.8 1.8.7.173-1
Date: Sat, 13 Jun 2009 15:38:40 +0000
Source: ruby1.8
Source-Version: 1.8.7.173-1

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

irb1.8_1.8.7.173-1_all.deb
  to pool/main/r/ruby1.8/irb1.8_1.8.7.173-1_all.deb
libdbm-ruby1.8_1.8.7.173-1_amd64.deb
  to pool/main/r/ruby1.8/libdbm-ruby1.8_1.8.7.173-1_amd64.deb
libgdbm-ruby1.8_1.8.7.173-1_amd64.deb
  to pool/main/r/ruby1.8/libgdbm-ruby1.8_1.8.7.173-1_amd64.deb
libopenssl-ruby1.8_1.8.7.173-1_amd64.deb
  to pool/main/r/ruby1.8/libopenssl-ruby1.8_1.8.7.173-1_amd64.deb
libreadline-ruby1.8_1.8.7.173-1_amd64.deb
  to pool/main/r/ruby1.8/libreadline-ruby1.8_1.8.7.173-1_amd64.deb
libruby1.8-dbg_1.8.7.173-1_amd64.deb
  to pool/main/r/ruby1.8/libruby1.8-dbg_1.8.7.173-1_amd64.deb
libruby1.8_1.8.7.173-1_amd64.deb
  to pool/main/r/ruby1.8/libruby1.8_1.8.7.173-1_amd64.deb
libtcltk-ruby1.8_1.8.7.173-1_amd64.deb
  to pool/main/r/ruby1.8/libtcltk-ruby1.8_1.8.7.173-1_amd64.deb
rdoc1.8_1.8.7.173-1_all.deb
  to pool/main/r/ruby1.8/rdoc1.8_1.8.7.173-1_all.deb
ri1.8_1.8.7.173-1_all.deb
  to pool/main/r/ruby1.8/ri1.8_1.8.7.173-1_all.deb
ruby1.8-dev_1.8.7.173-1_amd64.deb
  to pool/main/r/ruby1.8/ruby1.8-dev_1.8.7.173-1_amd64.deb
ruby1.8-elisp_1.8.7.173-1_all.deb
  to pool/main/r/ruby1.8/ruby1.8-elisp_1.8.7.173-1_all.deb
ruby1.8-examples_1.8.7.173-1_all.deb
  to pool/main/r/ruby1.8/ruby1.8-examples_1.8.7.173-1_all.deb
ruby1.8_1.8.7.173-1.diff.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.7.173-1.diff.gz
ruby1.8_1.8.7.173-1.dsc
  to pool/main/r/ruby1.8/ruby1.8_1.8.7.173-1.dsc
ruby1.8_1.8.7.173-1_amd64.deb
  to pool/main/r/ruby1.8/ruby1.8_1.8.7.173-1_amd64.deb
ruby1.8_1.8.7.173.orig.tar.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.7.173.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 532689@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daigo Moriwaki <daigo@debian.org> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 13 Jun 2009 11:34:34 +0900
Source: ruby1.8
Binary: ruby1.8 libruby1.8 libruby1.8-dbg ruby1.8-dev libdbm-ruby1.8 libgdbm-ruby1.8 libreadline-ruby1.8 libtcltk-ruby1.8 libopenssl-ruby1.8 ruby1.8-examples ruby1.8-elisp ri1.8 rdoc1.8 irb1.8
Architecture: source all amd64
Version: 1.8.7.173-1
Distribution: unstable
Urgency: high
Maintainer: akira yamada <akira@debian.org>
Changed-By: Daigo Moriwaki <daigo@debian.org>
Description: 
 irb1.8     - Interactive Ruby (for Ruby 1.8)
 libdbm-ruby1.8 - DBM interface for Ruby 1.8
 libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
 libopenssl-ruby1.8 - OpenSSL interface for Ruby 1.8
 libreadline-ruby1.8 - Readline interface for Ruby 1.8
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging symbols for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 rdoc1.8    - Generate documentation from Ruby source files (for Ruby 1.8)
 ri1.8      - Ruby Interactive reference (for Ruby 1.8)
 ruby1.8    - Interpreter of object-oriented scripting language Ruby 1.8
 ruby1.8-dev - Header files for compiling extension modules for the Ruby 1.8
 ruby1.8-elisp - ruby-mode for Emacsen
 ruby1.8-examples - Examples for Ruby 1.8
Closes: 532689
Changes: 
 ruby1.8 (1.8.7.173-1) unstable; urgency=high
 .
   * New upstream release.
   * removed unnecessary patchs under debian/patches:
     - 168_rexml_dos.dpatch
     - 801_update_sample_README
     - 807_sync_try_lock_always_fail.dpatch
     - 905_class_dup_should_copy_constants.dpatch
     - 090301_r22646_OCSP_basic_verify.dpatch
   * Added a patch: debian/patches/090613_exclude_rdoc.dpatch
   * Added debian/libopenssl-ruby1.8.lintian-overrides
   * The upstream has fixed the DoS vulnerability in BigDecimal Ruby
     Library (CVE-2009-1904; Closes: #532689)
   * debian/control:
     - Bumped up Standards-Version to 3.8.1.
     - Corrected sections.
Checksums-Sha1: 
 930f1d722e249bf327596f2c2a4908e7aa5927eb 1632 ruby1.8_1.8.7.173-1.dsc
 8f3bf47b6390843270a1408d11d14341e411c101 4823322 ruby1.8_1.8.7.173.orig.tar.gz
 bcf4f9fdc9ecbcdfd9a2eb6ea0034a53ba317af2 47008 ruby1.8_1.8.7.173-1.diff.gz
 18ad276bdeff6bfa7c31fcdb32918d673dfdbc73 316730 ruby1.8-examples_1.8.7.173-1_all.deb
 b74e16d15a16c21a48e3766ee519650a5738fa22 283880 ruby1.8-elisp_1.8.7.173-1_all.deb
 4d338fb96c90a8baacea64e9f8bb5574238cbc93 1397440 ri1.8_1.8.7.173-1_all.deb
 27444c89436bba9b2bf1149012e47769cec1c84b 384994 rdoc1.8_1.8.7.173-1_all.deb
 e2abbf7f2624cc2e0a73b6332408c94de8397d60 310774 irb1.8_1.8.7.173-1_all.deb
 dc0476c8e3fada4237284b55165cfe998bccafa6 290598 ruby1.8_1.8.7.173-1_amd64.deb
 fb41c2546466333b2734b31318ea9c12f4df541a 1747422 libruby1.8_1.8.7.173-1_amd64.deb
 2f38649a44f3d937252f02e43e0997e88f1e40a8 1550606 libruby1.8-dbg_1.8.7.173-1_amd64.deb
 bfd2ab142b20709aeed96cf28724301a5761bbe4 875166 ruby1.8-dev_1.8.7.173-1_amd64.deb
 cb17b470f9bf6d2426130d28d1d1abd64b980986 272500 libdbm-ruby1.8_1.8.7.173-1_amd64.deb
 392832daaff54223128f0d5a8dba99fa45e53be7 271700 libgdbm-ruby1.8_1.8.7.173-1_amd64.deb
 0c4a02543a0c2913e00ada6ec52c644e3b51f7fa 271294 libreadline-ruby1.8_1.8.7.173-1_amd64.deb
 16357c29440418f593656f26a16984ed40a89053 1997626 libtcltk-ruby1.8_1.8.7.173-1_amd64.deb
 e3aed4d51e239556b598b3e9cf964bf52faa2364 398688 libopenssl-ruby1.8_1.8.7.173-1_amd64.deb
Checksums-Sha256: 
 924707576181f6b00b152a9e1df4f01a5edd3aba0c07bc462ab7a0d2485ff905 1632 ruby1.8_1.8.7.173-1.dsc
 89ad16522f0a2f91e83e418e63cd27ec0fa6e40b17118c29f48b24468490a662 4823322 ruby1.8_1.8.7.173.orig.tar.gz
 0dff7e6a4bf1f3096815b52f1251aec848760b5e22afb8f8834e9e718c707016 47008 ruby1.8_1.8.7.173-1.diff.gz
 4fec7838082c53d1802ccb0992806a0bcf135dfbf097257e8ba51d40e8291955 316730 ruby1.8-examples_1.8.7.173-1_all.deb
 28091f376a4429fc716e090914b568e3ac275b9e3e1a78c3fcac31587ffb0bc2 283880 ruby1.8-elisp_1.8.7.173-1_all.deb
 6c47229bd013888c62ac763171f1b53b4c120b5d5b9ba2f6c55c8e056df136cd 1397440 ri1.8_1.8.7.173-1_all.deb
 cac809923fabd94464ab2d0f4716d5d2fc52f0e7ba5308c8c0130f94921bce1d 384994 rdoc1.8_1.8.7.173-1_all.deb
 86b39225937527a5eaa13c6cf83c68f4476a51e6526c1302618362cee3d9c584 310774 irb1.8_1.8.7.173-1_all.deb
 c815438d91b792f57adbc27cd1ccc2669825812f2562f921e32a13e547e7f4bb 290598 ruby1.8_1.8.7.173-1_amd64.deb
 01f8fa61c72fe0473f428c021113ee313bc8fdb5ffaaf95858186b3f6ff06e2d 1747422 libruby1.8_1.8.7.173-1_amd64.deb
 f7eff274c1c4079ff56c7ee7eee8aeb0cc8a534b6d2687f48e88a791a5b62fb1 1550606 libruby1.8-dbg_1.8.7.173-1_amd64.deb
 da1b746a873fa489ce9eeece5f684699cfed04c268f37a262ebb90cb52221bd5 875166 ruby1.8-dev_1.8.7.173-1_amd64.deb
 217c5990063bfb1a2d4ea489e64b4933875b1a31448e3c928078492756fdbccd 272500 libdbm-ruby1.8_1.8.7.173-1_amd64.deb
 fc71c8b4bf6bacfd8f9193db4ec15b34ee11e909bf48e86d7aa633a790199a95 271700 libgdbm-ruby1.8_1.8.7.173-1_amd64.deb
 9f58160655b5d117ba26bbc7531bddbd45711858485772433373f9d3d826a07c 271294 libreadline-ruby1.8_1.8.7.173-1_amd64.deb
 d2c5b01d0e2a8a41db8765fb92f07aad96e4950e97268c6ca3cc7cb2e4085217 1997626 libtcltk-ruby1.8_1.8.7.173-1_amd64.deb
 d4377e82a9a058013f51beedf1bfe58d28fba7d302582067af3eeaafc2665977 398688 libopenssl-ruby1.8_1.8.7.173-1_amd64.deb
Files: 
 95fbffc88e701637a42e517edd65884e 1632 ruby optional ruby1.8_1.8.7.173-1.dsc
 74fbd67496ab7cc4de896d053f1507a5 4823322 ruby optional ruby1.8_1.8.7.173.orig.tar.gz
 b16723336b609d083d74ad6343a04d24 47008 ruby optional ruby1.8_1.8.7.173-1.diff.gz
 0212eef75310302f5a69a030d0cab168 316730 ruby optional ruby1.8-examples_1.8.7.173-1_all.deb
 18682cdba1b2284752269e08fa90b018 283880 lisp optional ruby1.8-elisp_1.8.7.173-1_all.deb
 e4f9f77e15c1248a83f9cb57e6953a5c 1397440 doc optional ri1.8_1.8.7.173-1_all.deb
 65414a4604299b0dcfca51ae5e4da981 384994 doc optional rdoc1.8_1.8.7.173-1_all.deb
 cb397dfd0771a0a7d1cf45ded6095ada 310774 ruby optional irb1.8_1.8.7.173-1_all.deb
 0fe74124f38a994a21663710c613e85a 290598 ruby optional ruby1.8_1.8.7.173-1_amd64.deb
 2b4bef2fcbc8c7280fafaadc1bea4923 1747422 ruby optional libruby1.8_1.8.7.173-1_amd64.deb
 8523d3d769ad3153ad9d70a7adc09dbe 1550606 debug extra libruby1.8-dbg_1.8.7.173-1_amd64.deb
 89040ce209246b1022f3f073f82ff5b0 875166 ruby optional ruby1.8-dev_1.8.7.173-1_amd64.deb
 0582647d7d5315381d80a5736eb6e9cc 272500 ruby optional libdbm-ruby1.8_1.8.7.173-1_amd64.deb
 0681847aa81907f8ee8c1ef5f2cc23ab 271700 ruby optional libgdbm-ruby1.8_1.8.7.173-1_amd64.deb
 6a9dc6a26db177391a90f9aaf5b05ea2 271294 ruby optional libreadline-ruby1.8_1.8.7.173-1_amd64.deb
 77e9a03efb4a4e6f1c7a1db5638c22c4 1997626 ruby optional libtcltk-ruby1.8_1.8.7.173-1_amd64.deb
 18a3541c694616a4a33661a40c28a404 398688 ruby optional libopenssl-ruby1.8_1.8.7.173-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkozwogACgkQNcPj+ukc0lBAEACffka2d8aCQE3d+Ah2ZbLf9xyN
/QAAoNDp8TLXl4qUbwkZ7oDEaPjpJoWg
=yf+Z
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#532689; Package ruby1.8. (Fri, 19 Jun 2009 17:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael S Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Fri, 19 Jun 2009 17:00:02 GMT) Full text and rfc822 format available.

Message #25 received at 532689@bugs.debian.org (full text, mbox):

From: Michael S Gilbert <michael.s.gilbert@gmail.com>
To: 532689@bugs.debian.org, control@bugs.debian.org
Subject: lenny still affected
Date: Fri, 19 Jun 2009 12:58:38 -0400
reopen 532689
thank you

this bug isn't entirely fixed yet since stable is still affected.
please coordinate with the security team to prepare updates for lenny.
 thanks.

mike




Bug reopened, originator not changed. Request was from Michael S Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Fri, 19 Jun 2009 17:00:05 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 1.8.7.173-1. Request was from Michael S Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Fri, 19 Jun 2009 17:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#532689; Package ruby1.8. (Wed, 15 Jul 2009 09:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harry Vangberg <harry@vangberg.name>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Wed, 15 Jul 2009 09:48:03 GMT) Full text and rfc822 format available.

Message #34 received at 532689@bugs.debian.org (full text, mbox):

From: Harry Vangberg <harry@vangberg.name>
To: 532689@bugs.debian.org
Subject: Stable doesn't have 173
Date: Wed, 15 Jul 2009 11:32:51 +0200
Latest version on Lenny is still 1.8.7-72. Shouldn't this fix be sent
out via security so all stable systems can be upgraded as well? This
is marked as a rather serious exploit.




Added tag(s) security. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 06 Aug 2009 17:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#532689; Package ruby1.8. (Tue, 11 Aug 2009 17:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael S. Gilbert" <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Tue, 11 Aug 2009 17:03:15 GMT) Full text and rfc822 format available.

Message #41 received at 532689@bugs.debian.org (full text, mbox):

From: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>
To: 532689@bugs.debian.org, 522939@bugs.debian.org, 517639@bugs.debian.org, control@bugs.debian.org
Subject: severity
Date: Tue, 11 Aug 2009 13:01:34 -0400
severity 532689 important
thanks

denial-of-services are not serious.  this should probably be fixed
with CVE-2009-0642 which is actually serious.  please coordinate with
the security team to prepare updates for the stable releases on these.




Severity set to 'important' from 'serious' Request was from "Michael S. Gilbert" <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Tue, 11 Aug 2009 17:03:23 GMT) Full text and rfc822 format available.

Reply sent to akira yamada <akira@debian.org>:
You have taken responsibility. (Thu, 13 Aug 2009 02:00:06 GMT) Full text and rfc822 format available.

Notification sent to Johannes Barre <igel@igels.net>:
Bug acknowledged by developer. (Thu, 13 Aug 2009 02:00:06 GMT) Full text and rfc822 format available.

Message #48 received at 532689-close@bugs.debian.org (full text, mbox):

From: akira yamada <akira@debian.org>
To: 532689-close@bugs.debian.org
Subject: Bug#532689: fixed in ruby1.8 1.8.7.72-3lenny1
Date: Thu, 13 Aug 2009 01:53:52 +0000
Source: ruby1.8
Source-Version: 1.8.7.72-3lenny1

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

irb1.8_1.8.7.72-3lenny1_all.deb
  to pool/main/r/ruby1.8/irb1.8_1.8.7.72-3lenny1_all.deb
libdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
libgdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libgdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
libopenssl-ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libopenssl-ruby1.8_1.8.7.72-3lenny1_i386.deb
libreadline-ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libreadline-ruby1.8_1.8.7.72-3lenny1_i386.deb
libruby1.8-dbg_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libruby1.8-dbg_1.8.7.72-3lenny1_i386.deb
libruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libruby1.8_1.8.7.72-3lenny1_i386.deb
libtcltk-ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libtcltk-ruby1.8_1.8.7.72-3lenny1_i386.deb
rdoc1.8_1.8.7.72-3lenny1_all.deb
  to pool/main/r/ruby1.8/rdoc1.8_1.8.7.72-3lenny1_all.deb
ri1.8_1.8.7.72-3lenny1_all.deb
  to pool/main/r/ruby1.8/ri1.8_1.8.7.72-3lenny1_all.deb
ruby1.8-dev_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/ruby1.8-dev_1.8.7.72-3lenny1_i386.deb
ruby1.8-elisp_1.8.7.72-3lenny1_all.deb
  to pool/main/r/ruby1.8/ruby1.8-elisp_1.8.7.72-3lenny1_all.deb
ruby1.8-examples_1.8.7.72-3lenny1_all.deb
  to pool/main/r/ruby1.8/ruby1.8-examples_1.8.7.72-3lenny1_all.deb
ruby1.8_1.8.7.72-3lenny1.diff.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.7.72-3lenny1.diff.gz
ruby1.8_1.8.7.72-3lenny1.dsc
  to pool/main/r/ruby1.8/ruby1.8_1.8.7.72-3lenny1.dsc
ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/ruby1.8_1.8.7.72-3lenny1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 532689@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
akira yamada <akira@debian.org> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 10 Jul 2009 17:17:38 +0900
Source: ruby1.8
Binary: ruby1.8 libruby1.8 libruby1.8-dbg ruby1.8-dev libdbm-ruby1.8 libgdbm-ruby1.8 libreadline-ruby1.8 libtcltk-ruby1.8 libopenssl-ruby1.8 ruby1.8-examples ruby1.8-elisp ri1.8 rdoc1.8 irb1.8
Architecture: source all i386
Version: 1.8.7.72-3lenny1
Distribution: stable-security
Urgency: high
Maintainer: akira yamada <akira@debian.org>
Changed-By: akira yamada <akira@debian.org>
Description: 
 irb1.8     - Interactive Ruby (for Ruby 1.8)
 libdbm-ruby1.8 - DBM interface for Ruby 1.8
 libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
 libopenssl-ruby1.8 - OpenSSL interface for Ruby 1.8
 libreadline-ruby1.8 - Readline interface for Ruby 1.8
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging symbols for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 rdoc1.8    - Generate documentation from Ruby source files (for Ruby 1.8)
 ri1.8      - Ruby Interactive reference (for Ruby 1.8)
 ruby1.8    - Interpreter of object-oriented scripting language Ruby 1.8
 ruby1.8-dev - Header files for compiling extension modules for the Ruby 1.8
 ruby1.8-elisp - ruby-mode for Emacsen
 ruby1.8-examples - Examples for Ruby 1.8
Closes: 513528 532689
Changes: 
 ruby1.8 (1.8.7.72-3lenny1) stable-security; urgency=high
 .
   * added patch: 932_CVE-2009-1904 (closes: #532689)
     It fixes BigDecimal DoS vulnerability (CVE-2009-1904).  (backported from
     1.8.7-p172 and 1.8.7-p174)
   * Add upstream patch to properly check return values of the
     OCSP_basic_verify function (CVE-2009-0642; Closes: #513528)
Checksums-Sha1: 
 019896fc78564c7ca9e7fc26635657573ca7dbae 1641 ruby1.8_1.8.7.72-3lenny1.dsc
 fe1c5ffad9924076f36768890255f022c51f9a4e 4805594 ruby1.8_1.8.7.72.orig.tar.gz
 93dfb3ef2703ceb2d209c06ce71c99d1abd2b873 50437 ruby1.8_1.8.7.72-3lenny1.diff.gz
 d2eef4cd8c6e33df4a8e5e85e4c39f0ec5f8493a 308396 ruby1.8-examples_1.8.7.72-3lenny1_all.deb
 dabfde68046edd664760ec79e4af21787e154956 278076 ruby1.8-elisp_1.8.7.72-3lenny1_all.deb
 58e08a9062b7908c9157402f505d34eaad5db3e8 1410008 ri1.8_1.8.7.72-3lenny1_all.deb
 267ee10293a73405547768781fed964abfebe58c 378512 rdoc1.8_1.8.7.72-3lenny1_all.deb
 9ed5bb7367f3637e6c83d9ecd43e02203c19959a 304454 irb1.8_1.8.7.72-3lenny1_all.deb
 77b980aaf7dde6eee79e7511990e699ddaf9bcfc 283524 ruby1.8_1.8.7.72-3lenny1_i386.deb
 646fd704be4d68c2d84d59d55aee92b53ea53f2d 1674552 libruby1.8_1.8.7.72-3lenny1_i386.deb
 b048c66e81aa924f195ee04efcc0ed9484410fef 1448898 libruby1.8-dbg_1.8.7.72-3lenny1_i386.deb
 942158602c531647ccdf3c0a2839b6738b28e59d 824762 ruby1.8-dev_1.8.7.72-3lenny1_i386.deb
 4fa0b4e821591fd61f56fce1c3ad96654cd2edca 264712 libdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 a8d83283f83a44311ad6662b77c0f16613d23ea8 263564 libgdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 16e221e8712ede5524352214ab94b7080d639ac8 263846 libreadline-ruby1.8_1.8.7.72-3lenny1_i386.deb
 fe5cb22c08e0a72e3c183d996462e5aff10d07e1 1996318 libtcltk-ruby1.8_1.8.7.72-3lenny1_i386.deb
 fd3db92ad8b44a99ac9fd0c950489f4296eec3b2 378588 libopenssl-ruby1.8_1.8.7.72-3lenny1_i386.deb
Checksums-Sha256: 
 48e0ede7cf79addfc180d9f064c31b32a7d4fd0ddc36821473b85d613a5bcc82 1641 ruby1.8_1.8.7.72-3lenny1.dsc
 e15ca005076f5d6f91fc856fdfbd071698a4cadac3c6e25855899dba1f6fc5ef 4805594 ruby1.8_1.8.7.72.orig.tar.gz
 5d31dad9baf1b30c9538e7d96228e396249d3b852708c7092f407ab47af18358 50437 ruby1.8_1.8.7.72-3lenny1.diff.gz
 2e465d55db66904639d646895d119bae8f9cabd355f751ae07fe0dc1d003ad28 308396 ruby1.8-examples_1.8.7.72-3lenny1_all.deb
 beb7731a816d690f4d66b5c72da9f5e6688f313daee35a9f72f75b8e82692918 278076 ruby1.8-elisp_1.8.7.72-3lenny1_all.deb
 7ab498541decb7c8fbd2ebbae989858f0c4c594a686c0add94fee739e8221cb7 1410008 ri1.8_1.8.7.72-3lenny1_all.deb
 f635a0d7b32360e6f0ee47f9e1ddd97ba20fde9f92eeef0a2087db03b279f492 378512 rdoc1.8_1.8.7.72-3lenny1_all.deb
 12ec465866683e14017b4f56a61d39bbe7c6efd9d3d383439285afa47c8dba6d 304454 irb1.8_1.8.7.72-3lenny1_all.deb
 81c84515aeb36ca11b1e81e5eb0802e1cbe8f70ba70e3c65ebaeb691dccc397e 283524 ruby1.8_1.8.7.72-3lenny1_i386.deb
 f202ba75436bc9c7e90e3c18c0e8d73a6303d25acd18aa72868577acd3e9a38c 1674552 libruby1.8_1.8.7.72-3lenny1_i386.deb
 5edb6db425fa49b598f243ee3f45e7dc63929a3c05676f7ec7150f53d9357a7d 1448898 libruby1.8-dbg_1.8.7.72-3lenny1_i386.deb
 7ca238218723f81b7ff605ee8bf5f189adc61dc1edbeb78af683a9c009bff204 824762 ruby1.8-dev_1.8.7.72-3lenny1_i386.deb
 26c2cb1930bf1d6811c4be89b308285a3c61effa1b80617220f377e6a1558a80 264712 libdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 2d641c255625a077918244e25bb1f7dba7a030a19b1574d6d440f7f817ef67c4 263564 libgdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 41a2c75f281059886493a6a7a5ce7d2c49a03f754e69458447ab9729413fb493 263846 libreadline-ruby1.8_1.8.7.72-3lenny1_i386.deb
 3ebe8ba92536c94ac1303f0e237b0b24fae92c0ddaa49fc9c516f209af2926e8 1996318 libtcltk-ruby1.8_1.8.7.72-3lenny1_i386.deb
 f72d8bc8bbe80c46d5169d3f768b89763a5e86041a6252e0cd0a060a6a7cc34e 378588 libopenssl-ruby1.8_1.8.7.72-3lenny1_i386.deb
Files: 
 ee8fab4977d9a8ceeb4d54d8f801983a 1641 interpreters optional ruby1.8_1.8.7.72-3lenny1.dsc
 5e5b7189674b3a7f69401284f6a7a36d 4805594 interpreters optional ruby1.8_1.8.7.72.orig.tar.gz
 b176db79acaea95b6263c3971e2bda49 50437 interpreters optional ruby1.8_1.8.7.72-3lenny1.diff.gz
 3c1217cfaaebd3d72bb696c3d309a6fb 308396 interpreters optional ruby1.8-examples_1.8.7.72-3lenny1_all.deb
 eaed4e326f77664ecd3824c0e749ee89 278076 interpreters optional ruby1.8-elisp_1.8.7.72-3lenny1_all.deb
 e6fd2021bd625212a9eb86a3853e9f44 1410008 interpreters optional ri1.8_1.8.7.72-3lenny1_all.deb
 22c353a878ab290a440b2ad3527bddf8 378512 doc optional rdoc1.8_1.8.7.72-3lenny1_all.deb
 ea1fb3987035a3cf40739a44ca6e3133 304454 interpreters optional irb1.8_1.8.7.72-3lenny1_all.deb
 d7086ed4eb7e99ec76df318d1e8a421c 283524 interpreters optional ruby1.8_1.8.7.72-3lenny1_i386.deb
 b916f4042c77ce78132458d65f94d0c0 1674552 libs optional libruby1.8_1.8.7.72-3lenny1_i386.deb
 d01cda762af82e639be488de872738ab 1448898 libdevel extra libruby1.8-dbg_1.8.7.72-3lenny1_i386.deb
 a4efdf9dcf2d2187e31a46a05060dfa9 824762 devel optional ruby1.8-dev_1.8.7.72-3lenny1_i386.deb
 df9ea6fdead207738cf353d93244c308 264712 interpreters optional libdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 e3f86af4c0db7384a5ce3349598557fb 263564 interpreters optional libgdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 b2978963f37844f3a6044ffc25dd1f9c 263846 interpreters optional libreadline-ruby1.8_1.8.7.72-3lenny1_i386.deb
 b4ce32eb0c4723fa0c7e1f3e6e9ade0e 1996318 interpreters optional libtcltk-ruby1.8_1.8.7.72-3lenny1_i386.deb
 68d3bcf256702167fca19d689ba10e0c 378588 interpreters optional libopenssl-ruby1.8_1.8.7.72-3lenny1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKgpevXzkxpuIT8aARApR/AJ4n2WJyjZ9GGmNtj2MbCHA4unud0ACfbI11
upKN5RI5rITmWeDk1yBr+I4=
=6wGa
-----END PGP SIGNATURE-----





Reply sent to akira yamada <akira@debian.org>:
You have taken responsibility. (Fri, 04 Sep 2009 19:21:18 GMT) Full text and rfc822 format available.

Notification sent to Johannes Barre <igel@igels.net>:
Bug acknowledged by developer. (Fri, 04 Sep 2009 19:21:18 GMT) Full text and rfc822 format available.

Message #53 received at 532689-close@bugs.debian.org (full text, mbox):

From: akira yamada <akira@debian.org>
To: 532689-close@bugs.debian.org
Subject: Bug#532689: fixed in ruby1.8 1.8.7.72-3lenny1
Date: Fri, 04 Sep 2009 18:32:47 +0000
Source: ruby1.8
Source-Version: 1.8.7.72-3lenny1

We believe that the bug you reported is fixed in the latest version of
ruby1.8, which is due to be installed in the Debian FTP archive:

irb1.8_1.8.7.72-3lenny1_all.deb
  to pool/main/r/ruby1.8/irb1.8_1.8.7.72-3lenny1_all.deb
libdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
libgdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libgdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
libopenssl-ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libopenssl-ruby1.8_1.8.7.72-3lenny1_i386.deb
libreadline-ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libreadline-ruby1.8_1.8.7.72-3lenny1_i386.deb
libruby1.8-dbg_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libruby1.8-dbg_1.8.7.72-3lenny1_i386.deb
libruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libruby1.8_1.8.7.72-3lenny1_i386.deb
libtcltk-ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/libtcltk-ruby1.8_1.8.7.72-3lenny1_i386.deb
rdoc1.8_1.8.7.72-3lenny1_all.deb
  to pool/main/r/ruby1.8/rdoc1.8_1.8.7.72-3lenny1_all.deb
ri1.8_1.8.7.72-3lenny1_all.deb
  to pool/main/r/ruby1.8/ri1.8_1.8.7.72-3lenny1_all.deb
ruby1.8-dev_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/ruby1.8-dev_1.8.7.72-3lenny1_i386.deb
ruby1.8-elisp_1.8.7.72-3lenny1_all.deb
  to pool/main/r/ruby1.8/ruby1.8-elisp_1.8.7.72-3lenny1_all.deb
ruby1.8-examples_1.8.7.72-3lenny1_all.deb
  to pool/main/r/ruby1.8/ruby1.8-examples_1.8.7.72-3lenny1_all.deb
ruby1.8_1.8.7.72-3lenny1.diff.gz
  to pool/main/r/ruby1.8/ruby1.8_1.8.7.72-3lenny1.diff.gz
ruby1.8_1.8.7.72-3lenny1.dsc
  to pool/main/r/ruby1.8/ruby1.8_1.8.7.72-3lenny1.dsc
ruby1.8_1.8.7.72-3lenny1_i386.deb
  to pool/main/r/ruby1.8/ruby1.8_1.8.7.72-3lenny1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 532689@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
akira yamada <akira@debian.org> (supplier of updated ruby1.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 10 Jul 2009 17:17:38 +0900
Source: ruby1.8
Binary: ruby1.8 libruby1.8 libruby1.8-dbg ruby1.8-dev libdbm-ruby1.8 libgdbm-ruby1.8 libreadline-ruby1.8 libtcltk-ruby1.8 libopenssl-ruby1.8 ruby1.8-examples ruby1.8-elisp ri1.8 rdoc1.8 irb1.8
Architecture: source all i386
Version: 1.8.7.72-3lenny1
Distribution: stable-security
Urgency: high
Maintainer: akira yamada <akira@debian.org>
Changed-By: akira yamada <akira@debian.org>
Description: 
 irb1.8     - Interactive Ruby (for Ruby 1.8)
 libdbm-ruby1.8 - DBM interface for Ruby 1.8
 libgdbm-ruby1.8 - GDBM interface for Ruby 1.8
 libopenssl-ruby1.8 - OpenSSL interface for Ruby 1.8
 libreadline-ruby1.8 - Readline interface for Ruby 1.8
 libruby1.8 - Libraries necessary to run Ruby 1.8
 libruby1.8-dbg - Debugging symbols for Ruby 1.8
 libtcltk-ruby1.8 - Tcl/Tk interface for Ruby 1.8
 rdoc1.8    - Generate documentation from Ruby source files (for Ruby 1.8)
 ri1.8      - Ruby Interactive reference (for Ruby 1.8)
 ruby1.8    - Interpreter of object-oriented scripting language Ruby 1.8
 ruby1.8-dev - Header files for compiling extension modules for the Ruby 1.8
 ruby1.8-elisp - ruby-mode for Emacsen
 ruby1.8-examples - Examples for Ruby 1.8
Closes: 513528 532689
Changes: 
 ruby1.8 (1.8.7.72-3lenny1) stable-security; urgency=high
 .
   * added patch: 932_CVE-2009-1904 (closes: #532689)
     It fixes BigDecimal DoS vulnerability (CVE-2009-1904).  (backported from
     1.8.7-p172 and 1.8.7-p174)
   * Add upstream patch to properly check return values of the
     OCSP_basic_verify function (CVE-2009-0642; Closes: #513528)
Checksums-Sha1: 
 019896fc78564c7ca9e7fc26635657573ca7dbae 1641 ruby1.8_1.8.7.72-3lenny1.dsc
 fe1c5ffad9924076f36768890255f022c51f9a4e 4805594 ruby1.8_1.8.7.72.orig.tar.gz
 93dfb3ef2703ceb2d209c06ce71c99d1abd2b873 50437 ruby1.8_1.8.7.72-3lenny1.diff.gz
 d2eef4cd8c6e33df4a8e5e85e4c39f0ec5f8493a 308396 ruby1.8-examples_1.8.7.72-3lenny1_all.deb
 dabfde68046edd664760ec79e4af21787e154956 278076 ruby1.8-elisp_1.8.7.72-3lenny1_all.deb
 58e08a9062b7908c9157402f505d34eaad5db3e8 1410008 ri1.8_1.8.7.72-3lenny1_all.deb
 267ee10293a73405547768781fed964abfebe58c 378512 rdoc1.8_1.8.7.72-3lenny1_all.deb
 9ed5bb7367f3637e6c83d9ecd43e02203c19959a 304454 irb1.8_1.8.7.72-3lenny1_all.deb
 77b980aaf7dde6eee79e7511990e699ddaf9bcfc 283524 ruby1.8_1.8.7.72-3lenny1_i386.deb
 646fd704be4d68c2d84d59d55aee92b53ea53f2d 1674552 libruby1.8_1.8.7.72-3lenny1_i386.deb
 b048c66e81aa924f195ee04efcc0ed9484410fef 1448898 libruby1.8-dbg_1.8.7.72-3lenny1_i386.deb
 942158602c531647ccdf3c0a2839b6738b28e59d 824762 ruby1.8-dev_1.8.7.72-3lenny1_i386.deb
 4fa0b4e821591fd61f56fce1c3ad96654cd2edca 264712 libdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 a8d83283f83a44311ad6662b77c0f16613d23ea8 263564 libgdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 16e221e8712ede5524352214ab94b7080d639ac8 263846 libreadline-ruby1.8_1.8.7.72-3lenny1_i386.deb
 fe5cb22c08e0a72e3c183d996462e5aff10d07e1 1996318 libtcltk-ruby1.8_1.8.7.72-3lenny1_i386.deb
 fd3db92ad8b44a99ac9fd0c950489f4296eec3b2 378588 libopenssl-ruby1.8_1.8.7.72-3lenny1_i386.deb
Checksums-Sha256: 
 48e0ede7cf79addfc180d9f064c31b32a7d4fd0ddc36821473b85d613a5bcc82 1641 ruby1.8_1.8.7.72-3lenny1.dsc
 e15ca005076f5d6f91fc856fdfbd071698a4cadac3c6e25855899dba1f6fc5ef 4805594 ruby1.8_1.8.7.72.orig.tar.gz
 5d31dad9baf1b30c9538e7d96228e396249d3b852708c7092f407ab47af18358 50437 ruby1.8_1.8.7.72-3lenny1.diff.gz
 2e465d55db66904639d646895d119bae8f9cabd355f751ae07fe0dc1d003ad28 308396 ruby1.8-examples_1.8.7.72-3lenny1_all.deb
 beb7731a816d690f4d66b5c72da9f5e6688f313daee35a9f72f75b8e82692918 278076 ruby1.8-elisp_1.8.7.72-3lenny1_all.deb
 7ab498541decb7c8fbd2ebbae989858f0c4c594a686c0add94fee739e8221cb7 1410008 ri1.8_1.8.7.72-3lenny1_all.deb
 f635a0d7b32360e6f0ee47f9e1ddd97ba20fde9f92eeef0a2087db03b279f492 378512 rdoc1.8_1.8.7.72-3lenny1_all.deb
 12ec465866683e14017b4f56a61d39bbe7c6efd9d3d383439285afa47c8dba6d 304454 irb1.8_1.8.7.72-3lenny1_all.deb
 81c84515aeb36ca11b1e81e5eb0802e1cbe8f70ba70e3c65ebaeb691dccc397e 283524 ruby1.8_1.8.7.72-3lenny1_i386.deb
 f202ba75436bc9c7e90e3c18c0e8d73a6303d25acd18aa72868577acd3e9a38c 1674552 libruby1.8_1.8.7.72-3lenny1_i386.deb
 5edb6db425fa49b598f243ee3f45e7dc63929a3c05676f7ec7150f53d9357a7d 1448898 libruby1.8-dbg_1.8.7.72-3lenny1_i386.deb
 7ca238218723f81b7ff605ee8bf5f189adc61dc1edbeb78af683a9c009bff204 824762 ruby1.8-dev_1.8.7.72-3lenny1_i386.deb
 26c2cb1930bf1d6811c4be89b308285a3c61effa1b80617220f377e6a1558a80 264712 libdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 2d641c255625a077918244e25bb1f7dba7a030a19b1574d6d440f7f817ef67c4 263564 libgdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 41a2c75f281059886493a6a7a5ce7d2c49a03f754e69458447ab9729413fb493 263846 libreadline-ruby1.8_1.8.7.72-3lenny1_i386.deb
 3ebe8ba92536c94ac1303f0e237b0b24fae92c0ddaa49fc9c516f209af2926e8 1996318 libtcltk-ruby1.8_1.8.7.72-3lenny1_i386.deb
 f72d8bc8bbe80c46d5169d3f768b89763a5e86041a6252e0cd0a060a6a7cc34e 378588 libopenssl-ruby1.8_1.8.7.72-3lenny1_i386.deb
Files: 
 ee8fab4977d9a8ceeb4d54d8f801983a 1641 interpreters optional ruby1.8_1.8.7.72-3lenny1.dsc
 5e5b7189674b3a7f69401284f6a7a36d 4805594 interpreters optional ruby1.8_1.8.7.72.orig.tar.gz
 b176db79acaea95b6263c3971e2bda49 50437 interpreters optional ruby1.8_1.8.7.72-3lenny1.diff.gz
 3c1217cfaaebd3d72bb696c3d309a6fb 308396 interpreters optional ruby1.8-examples_1.8.7.72-3lenny1_all.deb
 eaed4e326f77664ecd3824c0e749ee89 278076 interpreters optional ruby1.8-elisp_1.8.7.72-3lenny1_all.deb
 e6fd2021bd625212a9eb86a3853e9f44 1410008 interpreters optional ri1.8_1.8.7.72-3lenny1_all.deb
 22c353a878ab290a440b2ad3527bddf8 378512 doc optional rdoc1.8_1.8.7.72-3lenny1_all.deb
 ea1fb3987035a3cf40739a44ca6e3133 304454 interpreters optional irb1.8_1.8.7.72-3lenny1_all.deb
 d7086ed4eb7e99ec76df318d1e8a421c 283524 interpreters optional ruby1.8_1.8.7.72-3lenny1_i386.deb
 b916f4042c77ce78132458d65f94d0c0 1674552 libs optional libruby1.8_1.8.7.72-3lenny1_i386.deb
 d01cda762af82e639be488de872738ab 1448898 libdevel extra libruby1.8-dbg_1.8.7.72-3lenny1_i386.deb
 a4efdf9dcf2d2187e31a46a05060dfa9 824762 devel optional ruby1.8-dev_1.8.7.72-3lenny1_i386.deb
 df9ea6fdead207738cf353d93244c308 264712 interpreters optional libdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 e3f86af4c0db7384a5ce3349598557fb 263564 interpreters optional libgdbm-ruby1.8_1.8.7.72-3lenny1_i386.deb
 b2978963f37844f3a6044ffc25dd1f9c 263846 interpreters optional libreadline-ruby1.8_1.8.7.72-3lenny1_i386.deb
 b4ce32eb0c4723fa0c7e1f3e6e9ade0e 1996318 interpreters optional libtcltk-ruby1.8_1.8.7.72-3lenny1_i386.deb
 68d3bcf256702167fca19d689ba10e0c 378588 interpreters optional libopenssl-ruby1.8_1.8.7.72-3lenny1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKgpevXzkxpuIT8aARApR/AJ4n2WJyjZ9GGmNtj2MbCHA4unud0ACfbI11
upKN5RI5rITmWeDk1yBr+I4=
=6wGa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Oct 2009 07:48:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:46:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.